/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
/// <reference types="react" />
export declare const useActionContext: () => {
    setVisible: (visible: boolean, confirm?: boolean) => void;
    button?: import("react").JSX.Element;
    visible?: boolean;
    openMode?: "page" | "modal" | "drawer";
    snapshot?: boolean;
    openSize?: import("./types").OpenSize;
    containerRefKey?: string;
    formValueChanged?: boolean;
    setFormValueChanged?: (v: boolean) => void;
    fieldSchema?: import("@formily/react").Schema<any, any, any, any, any, any, any, any, any>;
    drawerProps?: import("antd").DrawerProps;
    modalProps?: import("antd").ModalProps;
    submitted?: boolean;
    setSubmitted?: (v: boolean) => void;
    children?: import("react").ReactNode;
};
export declare const useCloseAction: () => {
    run(): Promise<void>;
};
export declare const useLinkageAction: () => any;
